Skip to content

Get recent activity for a user​

GET
/users/{id}/getRecentActivity

Gets recent activity for a user, which focuses around notifications that have been triggered.

Authorizations​

ApiKeyAuth

API Key for authentication. Retrieval from either API version login routes, or other authentication token type. See Authentication for more details.

TypeAPI Key (header: Authorization)
Example"eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9..."

Parameters​

Path Parameters

id*

user id

Typestring
Required
Example"5678"
Format"JSON"

Query Parameters

dateRange*
Typestring
Required
Example[1756249200000,1756388711959]
Format"JSON"

Responses​

Request was successful

application/json
JSON
[
{
"created": "string",
"params": {
"type": "string",
"subtype": "string",
"name": "string",
"zones": [
"string"
],
"message": "string"
},
"deviceId": 0,
"pointId": 0,
"triggerId": 0
}
]

Playground​

Authorization
Variables
Key
Value

Samples​

cURL
JavaScript
PHP
Python